//---------------------------------------------------------------------------
#ifndef plugin_skinH
#define plugin_skinH
//---------------------------------------------------------------------------

#include <windows.h>

typedef struct {

 int structSize;		        //wielko strutkury w bajtach

 char *SkinID;                          //jeli to jest grafika skrkowalna, to wystarczy poda tu jej skinID
                                        //przy zmianie skrki automatycznie zostanie zmieniona

 HBITMAP Bitmap;                        //bitmapa
 COLORREF Transparent;                  //kolor przezroczystoci
 RECT Location;                         //pooenie grafiki na bitmapie

} TlenSingleImageDef;

#define TLEN_SKIN_GETSKINNEDIMAGE          "Tlen/Skin/GetSkinnedImage"
//jako WPARAM idzie struktura do ktorej przekazywane sa dane grafiki (TlenSingleImageDef)
//musi byc wypelnione SkinID

//identyfikatory ikonek

#define icIDTlenStatus       "ic/TL"

#define icIDTlenOnline       "ic/TL/Online"
#define icIDTlenChat         "ic/TL/Chat"
#define icIDTlenAway         "ic/TL/Away"
#define icIDTlenXA           "ic/TL/XA"
#define icIDTlenDND          "ic/TL/DND"
#define icIDTlenInvisible    "ic/TL/Invisible"
#define icIDTlenOffline      "ic/TL/Offline"
#define icIDTlenOnline_ST    "ic/TL/Online/ST"
#define icIDTlenChat_ST      "ic/TL/Chat/ST"
#define icIDTlenAway_ST      "ic/TL/Away/ST"
#define icIDTlenXA_ST        "ic/TL/XA/ST"
#define icIDTlenDND_ST       "ic/TL/DND/ST"
#define icIDTlenInvisible_ST "ic/TL/Invisible/ST"
#define icIDTlenOffline_ST   "ic/TL/Offline/ST"

#define icIDGGStatus         "ic/GG"

#define icIDGGOnline         "ic/GG/Online"
#define icIDGGAway           "ic/GG/Away"
#define icIDGGInvisible      "ic/GG/Invisible"
#define icIDGGOffline        "ic/GG/Offline"
#define icIDGGOnline_ST      "ic/GG/Online/ST"
#define icIDGGAway_ST        "ic/GG/Away/ST"
#define icIDGGInvisible_ST   "ic/GG/Invisible/ST"
#define icIDGGOffline_ST     "ic/GG/Offline/ST"

#define icIDMetaStatus       "ic/Meta"

#define icIDMetaOnline       "ic/Meta/Online"
#define icIDMetaChat         "ic/Meta/Chat"
#define icIDMetaAway         "ic/Meta/Away"
#define icIDMetaXA           "ic/Meta/XA"
#define icIDMetaDND          "ic/Meta/DND"
#define icIDMetaInvisible    "ic/Meta/Invisible"
#define icIDMetaOffline      "ic/Meta/Offline"
#define icIDMetaOnline_ST    "ic/Meta/Online/ST"
#define icIDMetaChat_ST      "ic/Meta/Chat/ST"
#define icIDMetaAway_ST      "ic/Meta/Away/ST"
#define icIDMetaXA_ST        "ic/Meta/XA/ST"
#define icIDMetaDND_ST       "ic/Meta/DND/ST"
#define icIDMetaInvisible_ST "ic/Meta/Invisible/ST"
#define icIDMetaOffline_ST   "ic/Meta/Offline/ST"


#define icIDPhone            "ic/Phone"
#define icIDClosedGroup      "ic/ClosedGroup"
#define icIDOpenedGroup      "ic/OpenedGroup"

#endif